import { AbstractFormatter, Options } from '@fern-api/browser-compatible-base-generator';
import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-CjKFdkU7.js';
import '@fern-api/java-ast';

declare class EndpointSnippetGenerator {
    private context;
    private formatter;
    constructor({ context, formatter }: {
        context: DynamicSnippetsGeneratorContext;
        formatter?: AbstractFormatter;
    });
    generateSnippet({ endpoint, request, options }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
        options: Options;
    }): Promise<string>;
    generateSnippetSync({ endpoint, request, options }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
        options: Options;
    }): string;
    private buildCodeBlock;
    private constructClient;
    private buildFullCodeBlock;
    private getRootClientBuilderArgs;
    private getRootClientBaseUrlArg;
    private getRootClientAuthArgs;
    private getRootClientBasicAuthArgs;
    private getRootClientBearerAuthArgs;
    private getRootClientHeaderAuthArgs;
    private getRootClientOAuthArgs;
    private getRootClientHeaderArgs;
    private getRootClientHeaderArg;
    private callMethod;
    private getMethodArgs;
    private getMethodArgsForBodyRequest;
    private getBodyRequestArg;
    private getBytesBodyRequestArg;
    private getMethodArgsForInlinedRequest;
    private getFilePropertyInfo;
    private getInlinedRequestArg;
    private getInlinedRequestBodyBuilderParameters;
    private getFileUploadRequestBodyBuilderParameters;
    private getReferencedRequestBodyPropertyBuilderParameter;
    private getReferencedRequestBodyPropertyTypeLiteral;
    private getInlinedRequestBodyPropertyBuilderParameters;
    private getPathParameters;
    private getMethod;
    private getStyle;
    private getConfig;
}

export { EndpointSnippetGenerator };
